#!/usr/bin/env python3

import sys
import pickle
from datetime import date, timedelta


def days_between(start, end):
    return [start + timedelta(i) for i in range((end - start).days + 1)]
        

def build_dict(days):
    return {(d.month, d.day): {"__dummy_": "unknown"} for d in days}


def parse_arg(arg):
    return date(2020, *[int(x) for x in arg.split("/")])


if __name__ == "__main__":
    with open(sys.argv[3], "wb") as outfile:
        pickle.dump(build_dict(days_between(parse_arg(sys.argv[1]), parse_arg(sys.argv[2]))), outfile)
